GNU bug report logs - #42108
28.0.50; treemacs no longer work on native-comp branch

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Andrey Orst <andreyorst@HIDDEN>; dated Sun, 28 Jun 2020 10:49:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 42108 <at> debbugs.gnu.org:


Received: (at 42108) by debbugs.gnu.org; 29 Jun 2020 19:40:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 29 15:40:42 2020
Received: from localhost ([127.0.0.1]:49526 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpzdx-0006bM-I4
	for submit <at> debbugs.gnu.org; Mon, 29 Jun 2020 15:40:42 -0400
Received: from sonic313-21.consmr.mail.ir2.yahoo.com ([77.238.179.188]:41805)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andrea_corallo@HIDDEN>) id 1jpyBQ-0004Bj-Jm
 for 42108 <at> debbugs.gnu.org; Mon, 29 Jun 2020 14:07:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.it; s=s2048;
 t=1593454021; bh=ze7AQ18d0bfxqtSt01ftOJQEc45Antvc3+veMBUrzCk=;
 h=Date:From:To:Cc:Subject:References:From:Subject;
 b=D4Lg41Artj4jBsT5kinMZIS7d1FdkxmnZ+5cHOpB+dAZa/BXNCdrI3GP1a+qWy76Tsxv7BJMJfGCnplpcAclwTnssmpE+LAgOEVCY8nJORDgfmWw2EIQmpFYxV7jQ131sAHgpK5S2JKrdH1EXG2l57XBks2ZtmwtQrD3HRrzTizf+FAylNpw6b8H1QLT2/EGFYXHoEbgLEb7CdVEgS1IpXS5Ux1wzTzMiqGaIHkKNRxEOcdLbDkyatUYGP1dshBjzNSOe69hUxC0yfTMu1091Fv9tsmaqQxmKKoXhwDKTzln2kdhm+J4oe7nsMq6mMAKdPU8LCFsvkEQAsKrkxO3SQ==
X-YMail-OSG: 5Q40KNwVM1lZxNzQur6TRQZLSZzTsBjDXx6kNQL31wJbRrrmCz8zOlaxfX9h4ob
 B.T5xR3lqUpqqfxjdIYxV9VMXK95jygA2b5tpaTIltd8qGGrqAxXYlbIQ6.UqRk0i3SEi.srD83Y
 OK9nSVDxf4IjvP0NrgNqREiDQcGp9ZUcej.e_pPdOowchBXjOEirl04.uHT_Y_txyRvEnUoWdbYx
 8fn4DYoKb_sRudGa9T3xScRB8RFKd75bkc33eUg4Pt1XwcIwTOIjIaM1zYDLVWFy0jJyS_T3EG5H
 w5KgkBOEyShcgTZyTvE09QZM4NRbhKLpS_ZudwemOoiZv5lucpCM_QX3guKMpTU6VuoKgCAyy.jN
 H5kTvBZ.lMjy5vI2ftEld0A8fGokFOs.DMWHOf2drHgKQP_uUUmBb_jaHcIa_Uaipb.2iTEqZXaH
 BRM8dN.z1RmH_wf9_bFmd9Wsd89Plegr.adB.e6qXqFx0rw.7IAZU7LUPPaA7_HLnMwOrUQ93o7h
 c1I3zz7XWIB32T3Ot2wTwD6eGaYaPjh2O3cSrlfJIDQ6OG3rvSjxNGJoBuN4EKMGFU6IPxtzAW5l
 0ZuLRCFL02rIgCV9vIP5iPgNpX9jEstEcVTeNaHkbkyJYM7JOpKjwOlFYVoy2sNzyH5JdY_qiOCB
 KBbs04sbf_9Xza_gMcfI_UVR8rTz7MMYp3sY8nFd9CutLMdIijyLLBaPfA5IILKflICLNdf5_Fjt
 iedSevLgY9ujCJoZPdIX5.n1KAkOFUd19bzK5WYIkN4wbnHvmpAKBw3vB9IAzC5F6IT5YH9mr6PN
 UnuGmoD7b7kp7qxg86tBP6pSns7wy4i2CdkiQ_mbYowSyzgRqHD7c3LAI_AveJtfGxMJMEgHyqFt
 NDG9UIP4sQdq90IFwfueuSOhV5y0GqWddHoLWx7wWoydnYGRjpbwO7gvtTpxWCKe3lD5DzaO.3b5
 XtT0TwNno32C7HKOP202f.jA1NtxJ9oEvzL0W1Il1Qd4ZeNpUr_tJwDUTRSf5izJd31sdotehdj9
 mHeFVQ1rsMz4YU.H60.lyF2MUeHT2j7Moq82R3138OByMmM9RYvSOeNKAsaDVwCVciFKfZRdZ_.A
 K8JUsKBsmFPcaRGmFmtQed26Xs_w1xrYYR0Pl4PVnuDp76UOzHFdfywoOp6v3e9z0S4Z62KlzEyC
 jg.4E0skL78FHsMwAAbp5KRLwAtgPQcLd4a076A2sq8Ybgncq._XTwIIz1sfMrFuE1GFJKFZyhGO
 5fpy_b.3vr4CIYSNYPJuEdwgYixkUgSVP8IKxGbine3Vq98XCRaOxVNvMk1uVHn_l4OuMVMmfB4K
 SNbz6PAN8wSg3f_f7DGMGtuvEFR6Oljs_cg--
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic313.consmr.mail.ir2.yahoo.com with HTTP; Mon, 29 Jun 2020 18:07:01 +0000
Date: Mon, 29 Jun 2020 18:06:58 +0000 (UTC)
From: Andrea Corallo <andrea_corallo@HIDDEN>
To: Andrey Orst <andreyorst@HIDDEN>
Message-ID: <1187550445.9622186.1593454018533@HIDDEN>
Subject: Re: bug#42108: 28.0.50; treemacs no longer work on native-comp branch
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
References: <1187550445.9622186.1593454018533.ref@HIDDEN>
X-Mailer: WebService/1.1.16138 YMailNorrin Mozilla/5.0 (X11; Ubuntu;
 Linux x86_64; rv:70.0) Gecko/20100101 Firefox/70.0
Content-Length: 637
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42108
X-Mailman-Approved-At: Mon, 29 Jun 2020 15:40:38 -0400
Cc: "42108 <at> debbugs.gnu.org" <42108 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andrey Orst <andreyorst@HIDDEN> writes:

> though now yasnippet seem to be broken with such messages:
>
>=C2=A0=C2=A0=C2=A0=C2=A0 File mode specification error: (void-variable --c=
l-rest--)
>=C2=A0=C2=A0=C2=A0=C2=A0 apply: Symbol=E2=80=99s value as variable is void=
: --cl-rest--
>
> Deleting eln directory with compiled files from yasnippet dir makes
> it work until I reload Emacs.

I've got a bunch of similar errors with GNUs today.

I pushed d3ac3534b4 reverting what I think is the offending commit, even
if I still have to look into the detail.

Could you give it a try?

Thanks

=C2=A0 Andrea

PS sdf mail is killed today :/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42108; Package emacs. Full text available.

Message received at 42108 <at> debbugs.gnu.org:


Received: (at 42108) by debbugs.gnu.org; 29 Jun 2020 10:46:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 29 06:46:57 2020
Received: from localhost ([127.0.0.1]:48088 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jprJR-0002VS-Ge
	for submit <at> debbugs.gnu.org; Mon, 29 Jun 2020 06:46:57 -0400
Received: from mail-oi1-f172.google.com ([209.85.167.172]:33952)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyorst@HIDDEN>) id 1jprJO-0002V8-4j
 for 42108 <at> debbugs.gnu.org; Mon, 29 Jun 2020 06:46:56 -0400
Received: by mail-oi1-f172.google.com with SMTP id e4so5860074oib.1
 for <42108 <at> debbugs.gnu.org>; Mon, 29 Jun 2020 03:46:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=cnXdB89hwC8Hu+sEEYlVTcBToYAZ66vWO8cb6NIx3Go=;
 b=maP+5MIYe5FWnF/ifOTn3tPrEMORUjM1rH9USHBE8YFwGug1bdPH9HT670agnSlcPg
 wT/4bXT6tfZyThgNeoGTUufxxWqZyCuVPWeSqPYcWBWB58hPewpIwU+lmbuHD4+wNeEz
 5Pre14WoYPlSfDmOc/WeUSTcPO8ZgpTbwO+41GGuRSRz9YMzcAxL4Cn2yDvq6UXesxiB
 IO2AZSuY14+cQHSaEEACtEqihJ9rPYmho8GiFC/lbSyP7lrht5UKOuBZZ8WD2QaeUfQD
 C6Ct1FLVHjLQORDLcZ0TQ+QnY6i+FmKQw9S4vQFgRQcNyWZ7UDNvfpxEvYJGkCkeAKJZ
 xUDw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=cnXdB89hwC8Hu+sEEYlVTcBToYAZ66vWO8cb6NIx3Go=;
 b=VFzkRu0pFb5ON6SmfzxooxYPzfnw4xbVrJhndUuY7IQOk9F7D4SB9d5eFJ7J0qxS7U
 QDs+qjuz9ahSDv0AVdPPWZftK9lFWyGuAp6ar6qEOk3TIyhO98IFfIZonYgebNVm9Zda
 yTRWZBKIOoIZfIYPc0FLW7NLjpmbSrraF5N3pPi+hTQ0w/ht9cdGDvl40i0ZYlmhEL59
 dkJwlSMv7CQijaoyY3hDoNHxMzhZrh7tsXywKS9HHFU+UmInoEdykwxYeRk9JAry9l6b
 nzcf9zbpkzqQ0Fi4eDiwpG4URyC7++IkyRlwUWhVybaNylEnBQngWR8w95zS7WsopySj
 9+6g==
X-Gm-Message-State: AOAM532Sih3tgSsYRS54A5XPcA6So6QJ0PxexXQn8VYgxNqAtoBr9rnU
 /nvlYKwjuuk88sE+u+E99HEuLJnLRS/tqUqpDnJ4DA9l
X-Google-Smtp-Source: ABdhPJxQv4v3B2rgPYltRwH3Jjt8cVSaGSBs433rROnlaZsKUmSSYKovBAzx7hcCyJM5wPXr4prXQtXlB4GxHYKcm0k=
X-Received: by 2002:aca:dcc2:: with SMTP id t185mr11841933oig.75.1593427608313; 
 Mon, 29 Jun 2020 03:46:48 -0700 (PDT)
MIME-Version: 1.0
References: <CAAKhXob4ttMyVe2JkHVowraK6MYnOAyxjCEm6ahtTv7Zy7S87w@HIDDEN>
 <xjfwo3rq6hv.fsf@HIDDEN>
 <CAAKhXoabOuyqX2S46dm==hs3T4RsknMXALbS5RnniaGijNuLOw@HIDDEN>
In-Reply-To: <CAAKhXoabOuyqX2S46dm==hs3T4RsknMXALbS5RnniaGijNuLOw@HIDDEN>
From: Andrey Orst <andreyorst@HIDDEN>
Date: Mon, 29 Jun 2020 13:46:37 +0300
Message-ID: <CAAKhXob6goBD97gsy5jqSzm5yoaFLYF_W2ffrGyQ3=-pdH9SHg@HIDDEN>
Subject: Re: bug#42108: 28.0.50; treemacs no longer work on native-comp branch
To: 42108 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="00000000000091a23d05a936c6da"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42108
Cc: Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000091a23d05a936c6da
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

though now yasnippet seem to be broken with such messages:

    File mode specification error: (void-variable --cl-rest--)
    apply: Symbol=E2=80=99s value as variable is void: --cl-rest--

Deleting eln directory with compiled files from yasnippet dir makes it work
until I reload Emacs.

On Mon, Jun 29, 2020 at 11:52 AM Andrey Orst <andreyorst@HIDDEN> wrote:

> Yes, everything seem to work now
>
> On Sun, Jun 28, 2020 at 11:29 PM Andrea Corallo <akrl@HIDDEN> wrote:
>
>> Andrey Orst <andreyorst@HIDDEN> writes:
>>
>> > Some commits ago, I'm not sure exactly when, Emacs compiled with
>> > native
>> > compilation branch no longer able to display Treemacs buffer. When
>> > trying open Treemacs I can see the error message:
>> >
>> >     Wrong type argument: stringp, nil
>> >
>> > Here's minimal init.el:
>> >
>> >     (defvar package-archives)
>> >     (setq package-archives
>> >           '(("gnu" . "https://elpa.gnu.org/packages/")
>> >             ("melpa" . "https://melpa.org/packages/")))
>> >
>> >     (package-initialize)
>> >     (package-refresh-contents)
>> >
>> >     (unless (package-installed-p 'treemacs)
>> >       (package-install 'treemacs))
>> >
>> >     (treemacs)
>> >
>> > This will automatically download and install treemacs, and run it,
>> > however the treemacs buffer is empty, and nothing works.
>> >
>> > If I switch to current master branch and recompile Emacs, then
>> > Treemacs
>> > works as expected, so I assume it is a native-comp branch bug.
>>
>> Hi Andrey,
>>
>> I tried your reproducer using the lastest native-comp 0ce4bf3ede and it
>> works for me.  Possibly this could be solved by one of the other bugs I
>> fixed this weekend.
>>
>> Could you have another try to see if you still see the issue?
>>
>> Thanks!
>>
>>   Andrea
>>
>> --
>> akrl@HIDDEN
>>
>
>
> --
> Best regards,
> Andrey Orst
>


--=20
Best regards,
Andrey Orst

--00000000000091a23d05a936c6da
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr">though now yasnippet seem to be broken wi=
th such messages:</div><div dir=3D"ltr"><br></div><div dir=3D"ltr">=C2=A0 =
=C2=A0 File mode specification error: (void-variable --cl-rest--)<br>=C2=A0=
 =C2=A0 apply: Symbol=E2=80=99s value as variable is void: --cl-rest--<br><=
/div><div dir=3D"ltr"><br></div><div>Deleting eln directory with compiled f=
iles from yasnippet dir makes it work until I reload Emacs.</div><br><div c=
lass=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Mon, Jun 29, =
2020 at 11:52 AM Andrey Orst &lt;<a href=3D"mailto:andreyorst@HIDDEN">an=
dreyorst@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote=
" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);=
padding-left:1ex"><div dir=3D"ltr">Yes, everything seem to work now</div><b=
r><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Sun, =
Jun 28, 2020 at 11:29 PM Andrea Corallo &lt;<a href=3D"mailto:akrl@HIDDEN"=
 target=3D"_blank">akrl@HIDDEN</a>&gt; wrote:<br></div><blockquote class=
=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rg=
b(204,204,204);padding-left:1ex">Andrey Orst &lt;<a href=3D"mailto:andreyor=
st@HIDDEN" target=3D"_blank">andreyorst@HIDDEN</a>&gt; writes:<br>
<br>
&gt; Some commits ago, I&#39;m not sure exactly when, Emacs compiled with<b=
r>
&gt; native<br>
&gt; compilation branch no longer able to display Treemacs buffer. When<br>
&gt; trying open Treemacs I can see the error message:<br>
&gt;<br>
&gt; =C2=A0 =C2=A0 Wrong type argument: stringp, nil<br>
&gt;<br>
&gt; Here&#39;s minimal init.el:<br>
&gt;<br>
&gt; =C2=A0 =C2=A0 (defvar package-archives)<br>
&gt; =C2=A0 =C2=A0 (setq package-archives<br>
&gt; =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 &#39;((&quot;gnu&quot; . &quot;<a h=
ref=3D"https://elpa.gnu.org/packages/" rel=3D"noreferrer" target=3D"_blank"=
>https://elpa.gnu.org/packages/</a>&quot;)<br>
&gt; =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (&quot;melpa&quot; . &quot;<=
a href=3D"https://melpa.org/packages/" rel=3D"noreferrer" target=3D"_blank"=
>https://melpa.org/packages/</a>&quot;)))<br>
&gt; =C2=A0 =C2=A0<br>
&gt; =C2=A0 =C2=A0 (package-initialize)<br>
&gt; =C2=A0 =C2=A0 (package-refresh-contents)<br>
&gt; =C2=A0 =C2=A0<br>
&gt; =C2=A0 =C2=A0 (unless (package-installed-p &#39;treemacs)<br>
&gt; =C2=A0 =C2=A0 =C2=A0 (package-install &#39;treemacs))<br>
&gt; =C2=A0 =C2=A0<br>
&gt; =C2=A0 =C2=A0 (treemacs)<br>
&gt; =C2=A0 =C2=A0<br>
&gt; This will automatically download and install treemacs, and run it,<br>
&gt; however the treemacs buffer is empty, and nothing works.<br>
&gt;<br>
&gt; If I switch to current master branch and recompile Emacs, then<br>
&gt; Treemacs<br>
&gt; works as expected, so I assume it is a native-comp branch bug.<br>
<br>
Hi Andrey,<br>
<br>
I tried your reproducer using the lastest native-comp 0ce4bf3ede and it<br>
works for me.=C2=A0 Possibly this could be solved by one of the other bugs =
I<br>
fixed this weekend.<br>
<br>
Could you have another try to see if you still see the issue?<br>
<br>
Thanks!<br>
<br>
=C2=A0 Andrea<br>
<br>
-- <br>
<a href=3D"mailto:akrl@HIDDEN" target=3D"_blank">akrl@HIDDEN</a><br>
</blockquote></div><br clear=3D"all"><div><br></div>-- <br><div dir=3D"ltr"=
><div dir=3D"ltr"><div><div dir=3D"ltr"><div><div dir=3D"ltr"><font color=
=3D"#666666">Best regards,<br>Andrey Orst</font></div></div></div></div></d=
iv></div>
</blockquote></div><br clear=3D"all"><div><br></div>-- <br><div dir=3D"ltr"=
 class=3D"gmail_signature"><div dir=3D"ltr"><div><div dir=3D"ltr"><div><div=
 dir=3D"ltr"><font color=3D"#666666">Best regards,<br>Andrey Orst</font></d=
iv></div></div></div></div></div></div>

--00000000000091a23d05a936c6da--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42108; Package emacs. Full text available.

Message received at 42108 <at> debbugs.gnu.org:


Received: (at 42108) by debbugs.gnu.org; 29 Jun 2020 08:52:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 29 04:52:52 2020
Received: from localhost ([127.0.0.1]:47887 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jppX1-0007VL-LU
	for submit <at> debbugs.gnu.org; Mon, 29 Jun 2020 04:52:51 -0400
Received: from mail-ot1-f52.google.com ([209.85.210.52]:43809)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyorst@HIDDEN>) id 1jppWy-0007Ur-Ld
 for 42108 <at> debbugs.gnu.org; Mon, 29 Jun 2020 04:52:50 -0400
Received: by mail-ot1-f52.google.com with SMTP id 95so4117139otw.10
 for <42108 <at> debbugs.gnu.org>; Mon, 29 Jun 2020 01:52:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=8H2xtrmSj8rHfeaRsiheFFmD+g0cnKGVwHdReN4HeUI=;
 b=eBA3SwUwo7AybLBtBQw46Tz4qG761p7k2TFFh8vMMRf+ApaXwHBRIMtrfkgVKV3RFq
 0WXNiZTcK+4byX8SqBQ9sveEw/Wfe03yJzTBQ1umAN9j8fQI3AcSyqQ/CGgWVbB5sGwn
 rRYBQYgnCz1SRhQ1FhykDg0c2N8wps+nacQylqD5+l15sQKkDhBfCYj+ztqT7b0TOwdg
 vad6uO0j8p720d+oIXclTcaFKdETuJC3Ml5vlCAmrrj4r02goQdoFbH6fC3DL1vj94FY
 40Kx/73Oxs+XTA6uo4UB8znw+Mtprs+e6xpBY8ewueYpCRQt/uwq1662sA8T5bw9BFXp
 HW0Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=8H2xtrmSj8rHfeaRsiheFFmD+g0cnKGVwHdReN4HeUI=;
 b=c7K7iGHpG83mod6ZR1YCVTW95E43FBaqKhA04vj/edsrAIbwp1rtKBuJXzl4uUZweP
 PBPGw+PwEqySK0WxQxqrUI8naHAsGWjR/m7tbwTfF8iZKWjAtN/GFe4gwdtLpeDhY3X9
 U3J8YS0geaFblrJZfJEiuDzICKsoFOmjgiBeWR2r31U+Z3Vj5R+65pWP9peMxR8xtnFc
 ro3NCXGTbrGjnvxunPGFoFbdV4LuhMa82r+WzQ9N9/x7QcG17G5R9mOu3bbgZYNB1wg5
 jty9ZRO4sgS48r7ja3qtZyXBp1aFl4lC5Vu8EE0nxA2RlDj16YEYW2Yu+xHNg63q5Tz3
 qmBw==
X-Gm-Message-State: AOAM53215/fYyBYLNE0Nqb/Hf1XPvfSvBH1Ptn1H1GZnQDMVOz1Fvkvn
 1HNMNr/0PnJnWD38uC8vEXf1bT7L64OwoEiKZKHSsg==
X-Google-Smtp-Source: ABdhPJwRmqicPd0SKs2HWtEwiWpSTwD9z5hsebTVOKeinpgw6smFkphTH0mODcH3ZWzioWuCjaAG+Z8SkndxStVwLKY=
X-Received: by 2002:a9d:a31:: with SMTP id 46mr12812314otg.321.1593420762744; 
 Mon, 29 Jun 2020 01:52:42 -0700 (PDT)
MIME-Version: 1.0
References: <CAAKhXob4ttMyVe2JkHVowraK6MYnOAyxjCEm6ahtTv7Zy7S87w@HIDDEN>
 <xjfwo3rq6hv.fsf@HIDDEN>
In-Reply-To: <xjfwo3rq6hv.fsf@HIDDEN>
From: Andrey Orst <andreyorst@HIDDEN>
Date: Mon, 29 Jun 2020 11:52:31 +0300
Message-ID: <CAAKhXoabOuyqX2S46dm==hs3T4RsknMXALbS5RnniaGijNuLOw@HIDDEN>
Subject: Re: bug#42108: 28.0.50; treemacs no longer work on native-comp branch
To: 42108 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="0000000000008a891005a9352e1d"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 42108
Cc: Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000008a891005a9352e1d
Content-Type: text/plain; charset="UTF-8"

Yes, everything seem to work now

On Sun, Jun 28, 2020 at 11:29 PM Andrea Corallo <akrl@HIDDEN> wrote:

> Andrey Orst <andreyorst@HIDDEN> writes:
>
> > Some commits ago, I'm not sure exactly when, Emacs compiled with
> > native
> > compilation branch no longer able to display Treemacs buffer. When
> > trying open Treemacs I can see the error message:
> >
> >     Wrong type argument: stringp, nil
> >
> > Here's minimal init.el:
> >
> >     (defvar package-archives)
> >     (setq package-archives
> >           '(("gnu" . "https://elpa.gnu.org/packages/")
> >             ("melpa" . "https://melpa.org/packages/")))
> >
> >     (package-initialize)
> >     (package-refresh-contents)
> >
> >     (unless (package-installed-p 'treemacs)
> >       (package-install 'treemacs))
> >
> >     (treemacs)
> >
> > This will automatically download and install treemacs, and run it,
> > however the treemacs buffer is empty, and nothing works.
> >
> > If I switch to current master branch and recompile Emacs, then
> > Treemacs
> > works as expected, so I assume it is a native-comp branch bug.
>
> Hi Andrey,
>
> I tried your reproducer using the lastest native-comp 0ce4bf3ede and it
> works for me.  Possibly this could be solved by one of the other bugs I
> fixed this weekend.
>
> Could you have another try to see if you still see the issue?
>
> Thanks!
>
>   Andrea
>
> --
> akrl@HIDDEN
>


-- 
Best regards,
Andrey Orst

--0000000000008a891005a9352e1d
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Yes, everything seem to work now</div><br><div class=3D"gm=
ail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Sun, Jun 28, 2020 at 11=
:29 PM Andrea Corallo &lt;<a href=3D"mailto:akrl@HIDDEN">akrl@HIDDEN</a>&=
gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0=
px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">Andre=
y Orst &lt;<a href=3D"mailto:andreyorst@HIDDEN" target=3D"_blank">andrey=
orst@HIDDEN</a>&gt; writes:<br>
<br>
&gt; Some commits ago, I&#39;m not sure exactly when, Emacs compiled with<b=
r>
&gt; native<br>
&gt; compilation branch no longer able to display Treemacs buffer. When<br>
&gt; trying open Treemacs I can see the error message:<br>
&gt;<br>
&gt; =C2=A0 =C2=A0 Wrong type argument: stringp, nil<br>
&gt;<br>
&gt; Here&#39;s minimal init.el:<br>
&gt;<br>
&gt; =C2=A0 =C2=A0 (defvar package-archives)<br>
&gt; =C2=A0 =C2=A0 (setq package-archives<br>
&gt; =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 &#39;((&quot;gnu&quot; . &quot;<a h=
ref=3D"https://elpa.gnu.org/packages/" rel=3D"noreferrer" target=3D"_blank"=
>https://elpa.gnu.org/packages/</a>&quot;)<br>
&gt; =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (&quot;melpa&quot; . &quot;<=
a href=3D"https://melpa.org/packages/" rel=3D"noreferrer" target=3D"_blank"=
>https://melpa.org/packages/</a>&quot;)))<br>
&gt; =C2=A0 =C2=A0<br>
&gt; =C2=A0 =C2=A0 (package-initialize)<br>
&gt; =C2=A0 =C2=A0 (package-refresh-contents)<br>
&gt; =C2=A0 =C2=A0<br>
&gt; =C2=A0 =C2=A0 (unless (package-installed-p &#39;treemacs)<br>
&gt; =C2=A0 =C2=A0 =C2=A0 (package-install &#39;treemacs))<br>
&gt; =C2=A0 =C2=A0<br>
&gt; =C2=A0 =C2=A0 (treemacs)<br>
&gt; =C2=A0 =C2=A0<br>
&gt; This will automatically download and install treemacs, and run it,<br>
&gt; however the treemacs buffer is empty, and nothing works.<br>
&gt;<br>
&gt; If I switch to current master branch and recompile Emacs, then<br>
&gt; Treemacs<br>
&gt; works as expected, so I assume it is a native-comp branch bug.<br>
<br>
Hi Andrey,<br>
<br>
I tried your reproducer using the lastest native-comp 0ce4bf3ede and it<br>
works for me.=C2=A0 Possibly this could be solved by one of the other bugs =
I<br>
fixed this weekend.<br>
<br>
Could you have another try to see if you still see the issue?<br>
<br>
Thanks!<br>
<br>
=C2=A0 Andrea<br>
<br>
-- <br>
<a href=3D"mailto:akrl@HIDDEN" target=3D"_blank">akrl@HIDDEN</a><br>
</blockquote></div><br clear=3D"all"><div><br></div>-- <br><div dir=3D"ltr"=
 class=3D"gmail_signature"><div dir=3D"ltr"><div><div dir=3D"ltr"><div><div=
 dir=3D"ltr"><font color=3D"#666666">Best regards,<br>Andrey Orst</font></d=
iv></div></div></div></div></div>

--0000000000008a891005a9352e1d--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42108; Package emacs. Full text available.

Message received at 42108 <at> debbugs.gnu.org:


Received: (at 42108) by debbugs.gnu.org; 28 Jun 2020 20:29:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 28 16:29:24 2020
Received: from localhost ([127.0.0.1]:47048 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpdvY-0007Vh-7C
	for submit <at> debbugs.gnu.org; Sun, 28 Jun 2020 16:29:24 -0400
Received: from [205.166.94.22] (port=54892 helo=mx.sdf.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1jpdvT-0007VW-HK
 for 42108 <at> debbugs.gnu.org; Sun, 28 Jun 2020 16:29:22 -0400
Received: from sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 05SKTGFf029030
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Sun, 28 Jun 2020 20:29:17 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=sdf.org; s=default;
 t=1593376158; bh=i7WeEi1ax2eoLqjAZgOxQt1VN2gFDooPZno3h4oq9Hs=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To;
 b=PYVeJDw07q1Hl/cIle6LL6CGbdjxuokfHsTTIdwmtZx6XwxATSiS6nEcuotHQjng4
 hFTzhGbt99Wrjhu4Y8weXm64z8LyUUJtYdhI8QnJJVgN4j8fy8en+MCx7KTi56wGTO
 Y0j9KPCqG6WRZD9N8AhKBf/x8Kff+ntt1SErVgOg=
Received: (from akrl@localhost)
 by sdf.org (8.15.2/8.12.8/Submit) id 05SKTGKr001380;
 Sun, 28 Jun 2020 20:29:16 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Andrey Orst <andreyorst@HIDDEN>
Subject: Re: bug#42108: 28.0.50; treemacs no longer work on native-comp branch
References: <CAAKhXob4ttMyVe2JkHVowraK6MYnOAyxjCEm6ahtTv7Zy7S87w@HIDDEN>
Date: Sun, 28 Jun 2020 20:29:16 +0000
In-Reply-To: <CAAKhXob4ttMyVe2JkHVowraK6MYnOAyxjCEm6ahtTv7Zy7S87w@HIDDEN>
 (Andrey Orst's message of "Sun, 28 Jun 2020 13:48:15 +0300")
Message-ID: <xjfwo3rq6hv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Andrey Orst <andreyorst@HIDDEN> writes: > Some commits
 ago, I'm not sure exactly when, Emacs compiled with > native > compilation
 branch no longer able to display Treemacs buffer. When > trying open Treemacs
 I can see the error message: > > [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 42108
Cc: 42108 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Andrey Orst <andreyorst@HIDDEN> writes:

> Some commits ago, I'm not sure exactly when, Emacs compiled with
> native
> compilation branch no longer able to display Treemacs buffer. When
> trying open Treemacs I can see the error message:
>
> =C2=A0 =C2=A0 Wrong type argument: stringp, nil
>
> Here's minimal init.el:
>
> =C2=A0 =C2=A0 (defvar package-archives)
> =C2=A0 =C2=A0 (setq package-archives
> =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 '(("gnu" . "https://elpa.gnu.org/packa=
ges/")
> =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 ("melpa" . "https://melpa.org/p=
ackages/")))
> =C2=A0 =C2=A0
> =C2=A0 =C2=A0 (package-initialize)
> =C2=A0 =C2=A0 (package-refresh-contents)
> =C2=A0 =C2=A0
> =C2=A0 =C2=A0 (unless (package-installed-p 'treemacs)
> =C2=A0 =C2=A0 =C2=A0 (package-install 'treemacs))
> =C2=A0 =C2=A0
> =C2=A0 =C2=A0 (treemacs)
> =C2=A0 =C2=A0
> This will automatically download and install treemacs, and run it,
> however the treemacs buffer is empty, and nothing works.
>
> If I switch to current master branch and recompile Emacs, then
> Treemacs
> works as expected, so I assume it is a native-comp branch bug.

Hi Andrey,

I tried your reproducer using the lastest native-comp 0ce4bf3ede and it
works for me.  Possibly this could be solved by one of the other bugs I
fixed this weekend.

Could you have another try to see if you still see the issue?

Thanks!

  Andrea

--=20
akrl@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42108; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Jun 2020 10:48:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 28 06:48:34 2020
Received: from localhost ([127.0.0.1]:45287 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpUrR-00037S-BP
	for submit <at> debbugs.gnu.org; Sun, 28 Jun 2020 06:48:33 -0400
Received: from lists.gnu.org ([209.51.188.17]:60700)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreyorst@HIDDEN>) id 1jpUrP-00037L-MG
 for submit <at> debbugs.gnu.org; Sun, 28 Jun 2020 06:48:32 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44576)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <andreyorst@HIDDEN>)
 id 1jpUrP-0003Q6-Dv
 for bug-gnu-emacs@HIDDEN; Sun, 28 Jun 2020 06:48:31 -0400
Received: from mail-oi1-x235.google.com ([2607:f8b0:4864:20::235]:33213)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <andreyorst@HIDDEN>)
 id 1jpUrM-0006kw-Ni
 for bug-gnu-emacs@HIDDEN; Sun, 28 Jun 2020 06:48:31 -0400
Received: by mail-oi1-x235.google.com with SMTP id k22so678015oib.0
 for <bug-gnu-emacs@HIDDEN>; Sun, 28 Jun 2020 03:48:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=6pmuVV881Su+KmOCdzBi0g8lODfEvI++R/EdQrMuvBQ=;
 b=eOIG0e3gSnwoFD/9Rk1g6LpZ2DnHIHq+EG8suCITT6cM4rPD9JnTXH25AdD7qITOOM
 dXI04k4sH9kNtZ28FvLCU+eUB/DkuoNFmIJ2urxXD2vyy73hG3mIKcKR4Oa7tlccVQy0
 Fg0ZmxtrxLlP0qXTyL47H23jPhYtuMpjOuVez5Nk8X+62EKWMnv2lQoZImukW566ugEh
 M9tbKjrOKLDb+ykM5t7V/s3OOrIobGP+ngq7zGiATLHK/bd+0D0x7XdAEUXChEuC/fG9
 EWuhTzYL6yZ9+aDIemk90WA53+npjF4cjMl/CZ35hyolDHWSAO3iV3TyxH2hBZuzYviv
 4WtA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=6pmuVV881Su+KmOCdzBi0g8lODfEvI++R/EdQrMuvBQ=;
 b=AH4Z1ETthXwE0Of3NCbZFSxGFNN7+dgl3Ttrj8yPhl3glPTt4kMeRuRD/DA/rZ7FOD
 kBd353U2BcM98RvXSZbVhacdb/BLi0YT+PPmfATotiCMjZd1zrbcN+iNk+c4pecGBumz
 Z8GX8dozKvoDoX/lWAO3T64p6bcQ31tkFRetaUU8KWcB+Rv4BV/MvqDFKgdvPxb0kdEV
 bFZ4CA/dGYYTTC8aJEMBj7pqgsKRZ2F0eQyzfKeB1KtDH7i5cEkSTee6sybzskYmOQOM
 QfENj5d/0ergs6IdHDG3EFReSXB8NyiWHHIElu/uPr+dDygmpZuJ3JnC0LOOroDuFFRl
 Jpvw==
X-Gm-Message-State: AOAM5331dyL6xgPljz1+2hgxGvMDNyOwJhX27Tb/P1r+UQSrhovXrH8K
 +/GtYqXP1uNpUCBoQX96XpXRa7EIOUKzb47nuXdDjFZnzNs=
X-Google-Smtp-Source: ABdhPJxQ0/onkR/OAx1aSpne8jlJOhf1PmOWKJcHrRWXa4C1mXcDljvWg7/lVzXatcGfQb7uhDdM8Zy144oi/XrtMig=
X-Received: by 2002:aca:4f4a:: with SMTP id d71mr8122506oib.123.1593341306617; 
 Sun, 28 Jun 2020 03:48:26 -0700 (PDT)
MIME-Version: 1.0
From: Andrey Orst <andreyorst@HIDDEN>
Date: Sun, 28 Jun 2020 13:48:15 +0300
Message-ID: <CAAKhXob4ttMyVe2JkHVowraK6MYnOAyxjCEm6ahtTv7Zy7S87w@HIDDEN>
Subject: 28.0.50; treemacs no longer work on native-comp branch
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="00000000000096418105a922ae9a"
Received-SPF: pass client-ip=2607:f8b0:4864:20::235;
 envelope-from=andreyorst@HIDDEN; helo=mail-oi1-x235.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, URIBL_BLOCKED=0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--00000000000096418105a922ae9a
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Some commits ago, I'm not sure exactly when, Emacs compiled with native
compilation branch no longer able to display Treemacs buffer. When
trying open Treemacs I can see the error message:

    Wrong type argument: stringp, nil

Here's minimal init.el:

    (defvar package-archives)
    (setq package-archives
          '(("gnu" . "https://elpa.gnu.org/packages/")
            ("melpa" . "https://melpa.org/packages/")))

    (package-initialize)
    (package-refresh-contents)

    (unless (package-installed-p 'treemacs)
      (package-install 'treemacs))

    (treemacs)

This will automatically download and install treemacs, and run it,
however the treemacs buffer is empty, and nothing works.

If I switch to current master branch and recompile Emacs, then Treemacs
works as expected, so I assume it is a native-comp branch bug.


In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.13,
cairo version 1.16.0)
 of 2020-06-28 built on toolbox
Repository revision: 0eedb5af0b9f505dda9418323c74e992a40e5585
Repository branch: feature/native-comp
Windowing system distributor 'Fedora Project', version 11.0.12008000
System Description: Fedora 32 (Workstation Edition)

Recent messages:
Checking
/home/andreyorst/.emacs.d/elpa/treemacs-20200625.2056/icons/default/svgrepo=
...
Checking
/home/andreyorst/.emacs.d/elpa/treemacs-20200625.2056/icons/default/vsc...
Done (Total of 28 files compiled, 2 skipped)
Package =E2=80=98treemacs=E2=80=99 installed.
Saving file /home/andreyorst/.emacs.d/init.el...
Wrote /home/andreyorst/.emacs.d/init.el
For information about GNU Emacs and the GNU system, type C-h C-a.
Wrong type argument: stringp, nil
Quit
Making completion list... [2 times]

Configured using:
 'configure --with-nativecomp --without-pop
 --prefix=3D/home/andreyorst/.local/emacs
 --bindir=3D/home/andreyorst/.local/bin
 '--program-transform-name=3Ds/^ctags$/ctags.emacs/''

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ LIBOTF ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS JSON PDUMPER LCMS2
GMP

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=3Dibus
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  treemacs-filewatch-mode: t
  treemacs-follow-mode: t
  treemacs-fringe-indicator-mode: t
  treemacs-git-mode: deferred
  override-global-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug sendmail cus-edit cus-start cus-load
wid-edit treemacs treemacs-header-line treemacs-compatibility
treemacs-mode treemacs-bookmarks warnings thunk treemacs-interface
treemacs-extensions treemacs-persistence treemacs-mouse-interface
treemacs-tag-follow-mode treemacs-filewatch-mode treemacs-tags
treemacs-faces imenu xref project filenotify treemacs-follow-mode
treemacs-rendering treemacs-visuals treemacs-fringe-indicator pulse
treemacs-async treemacs-icons treemacs-themes bookmark pp
treemacs-workspaces treemacs-scope treemacs-dom treemacs-core-utils
treemacs-macros treemacs-logging treemacs-customization ace-window f
hl-line pfuture ht s avy rx inline edmacro kmacro org ob ob-tangle
ob-ref ob-lob ob-table ob-exp org-macro org-footnote org-src ob-comint
org-pcomplete pcomplete org-list org-faces org-entities noutline outline
org-version ob-emacs-lisp ob-core ob-eval org-table ol org-keys
org-compat org-macs org-loaddefs format-spec find-func cal-menu calendar
cal-loaddefs hydra advice lv dash cl-extra help-mode use-package-ensure
use-package-delight use-package-diminish use-package-bind-key bind-key
use-package-core info tar-mode arc-mode archive-mode easy-mmode compile
comint ansi-color ring autoload radix-tree lisp-mnt mm-archive message
dired dired-loaddefs rfc822 mml mml-sec epa derived epg epg-config
gnus-util rmail rmail-loaddefs text-property-search time-date mailabbrev
gmm-utils mailheader mm-decode mm-bodies mm-encode mail-utils gnutls
network-stream url-http mail-parse rfc2231 rfc2047 rfc2045 mm-util
ietf-drums mail-prsvr url-gw nsm rmc puny url-cache url-auth url
url-proxy url-privacy url-expand url-methods url-history url-cookie
url-domsuf url-util mailcap finder-inf package easymenu browse-url
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json subr-x map url-vars seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face pcase macroexp files text-properties overlay sha1
md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 330086 73278)
 (symbols 48 24681 57)
 (strings 32 106609 5332)
 (string-bytes 1 3050345)
 (vectors 16 38569)
 (vector-slots 8 862927 65016)
 (floats 8 440 527)
 (intervals 56 1333 0)
 (buffers 992 15))


--=20
Best regards,
Andrey Orst

--00000000000096418105a922ae9a
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Some commits ago, I&#39;m not sure exactly when, Emacs com=
piled with native<br>compilation branch no longer able to display Treemacs =
buffer. When<br>trying open Treemacs I can see the error message:<br><br>=
=C2=A0 =C2=A0 Wrong type argument: stringp, nil<br><br>Here&#39;s minimal i=
nit.el:<br><br>=C2=A0 =C2=A0 (defvar package-archives)<br>=C2=A0 =C2=A0 (se=
tq package-archives<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 &#39;((&quot;gnu&=
quot; . &quot;<a href=3D"https://elpa.gnu.org/packages/">https://elpa.gnu.o=
rg/packages/</a>&quot;)<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 (&quot=
;melpa&quot; . &quot;<a href=3D"https://melpa.org/packages/">https://melpa.=
org/packages/</a>&quot;)))<br>=C2=A0 =C2=A0 <br>=C2=A0 =C2=A0 (package-init=
ialize)<br>=C2=A0 =C2=A0 (package-refresh-contents)<br>=C2=A0 =C2=A0 <br>=
=C2=A0 =C2=A0 (unless (package-installed-p &#39;treemacs)<br>=C2=A0 =C2=A0 =
=C2=A0 (package-install &#39;treemacs))<br>=C2=A0 =C2=A0 <br>=C2=A0 =C2=A0 =
(treemacs)<br>=C2=A0 =C2=A0 <br>This will automatically download and instal=
l treemacs, and run it,<br>however the treemacs buffer is empty, and nothin=
g works.<br><br>If I switch to current master branch and recompile Emacs, t=
hen Treemacs<br>works as expected, so I assume it is a native-comp branch b=
ug.<br><br><br>In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Ver=
sion 3.24.13, cairo version 1.16.0)<br>=C2=A0of 2020-06-28 built on toolbox=
<br>Repository revision: 0eedb5af0b9f505dda9418323c74e992a40e5585<br>Reposi=
tory branch: feature/native-comp<br>Windowing system distributor &#39;Fedor=
a Project&#39;, version 11.0.12008000<br>System Description: Fedora 32 (Wor=
kstation Edition)<br><br>Recent messages:<br>Checking /home/andreyorst/.ema=
cs.d/elpa/treemacs-20200625.2056/icons/default/svgrepo...<br>Checking /home=
/andreyorst/.emacs.d/elpa/treemacs-20200625.2056/icons/default/vsc...<br>Do=
ne (Total of 28 files compiled, 2 skipped)<br>Package =E2=80=98treemacs=E2=
=80=99 installed.<br>Saving file /home/andreyorst/.emacs.d/init.el...<br>Wr=
ote /home/andreyorst/.emacs.d/init.el<br>For information about GNU Emacs an=
d the GNU system, type C-h C-a.<br>Wrong type argument: stringp, nil<br>Qui=
t<br>Making completion list... [2 times]<br><br>Configured using:<br>=C2=A0=
&#39;configure --with-nativecomp --without-pop<br>=C2=A0--prefix=3D/home/an=
dreyorst/.local/emacs<br>=C2=A0--bindir=3D/home/andreyorst/.local/bin<br>=
=C2=A0&#39;--program-transform-name=3Ds/^ctags$/ctags.emacs/&#39;&#39;<br><=
br>Configured features:<br>XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS =
GSETTINGS GLIB NOTIFY<br>INOTIFY LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZ=
Z LIBOTF ZLIB<br>TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS JSON=
 PDUMPER LCMS2<br>GMP<br><br>Important settings:<br>=C2=A0 value of $LANG: =
en_US.UTF-8<br>=C2=A0 value of $XMODIFIERS: @im=3Dibus<br>=C2=A0 locale-cod=
ing-system: utf-8-unix<br><br>Major mode: Fundamental<br><br>Minor modes in=
 effect:<br>=C2=A0 treemacs-filewatch-mode: t<br>=C2=A0 treemacs-follow-mod=
e: t<br>=C2=A0 treemacs-fringe-indicator-mode: t<br>=C2=A0 treemacs-git-mod=
e: deferred<br>=C2=A0 override-global-mode: t<br>=C2=A0 tooltip-mode: t<br>=
=C2=A0 global-eldoc-mode: t<br>=C2=A0 electric-indent-mode: t<br>=C2=A0 mou=
se-wheel-mode: t<br>=C2=A0 tool-bar-mode: t<br>=C2=A0 menu-bar-mode: t<br>=
=C2=A0 file-name-shadow-mode: t<br>=C2=A0 global-font-lock-mode: t<br>=C2=
=A0 blink-cursor-mode: t<br>=C2=A0 auto-composition-mode: t<br>=C2=A0 auto-=
encryption-mode: t<br>=C2=A0 auto-compression-mode: t<br>=C2=A0 buffer-read=
-only: t<br>=C2=A0 line-number-mode: t<br>=C2=A0 transient-mark-mode: t<br>=
<br>Load-path shadows:<br>None found.<br><br>Features:<br>(shadow sort mail=
-extr emacsbug sendmail cus-edit cus-start cus-load<br>wid-edit treemacs tr=
eemacs-header-line treemacs-compatibility<br>treemacs-mode treemacs-bookmar=
ks warnings thunk treemacs-interface<br>treemacs-extensions treemacs-persis=
tence treemacs-mouse-interface<br>treemacs-tag-follow-mode treemacs-filewat=
ch-mode treemacs-tags<br>treemacs-faces imenu xref project filenotify treem=
acs-follow-mode<br>treemacs-rendering treemacs-visuals treemacs-fringe-indi=
cator pulse<br>treemacs-async treemacs-icons treemacs-themes bookmark pp<br=
>treemacs-workspaces treemacs-scope treemacs-dom treemacs-core-utils<br>tre=
emacs-macros treemacs-logging treemacs-customization ace-window f<br>hl-lin=
e pfuture ht s avy rx inline edmacro kmacro org ob ob-tangle<br>ob-ref ob-l=
ob ob-table ob-exp org-macro org-footnote org-src ob-comint<br>org-pcomplet=
e pcomplete org-list org-faces org-entities noutline outline<br>org-version=
 ob-emacs-lisp ob-core ob-eval org-table ol org-keys<br>org-compat org-macs=
 org-loaddefs format-spec find-func cal-menu calendar<br>cal-loaddefs hydra=
 advice lv dash cl-extra help-mode use-package-ensure<br>use-package-deligh=
t use-package-diminish use-package-bind-key bind-key<br>use-package-core in=
fo tar-mode arc-mode archive-mode easy-mmode compile<br>comint ansi-color r=
ing autoload radix-tree lisp-mnt mm-archive message<br>dired dired-loaddefs=
 rfc822 mml mml-sec epa derived epg epg-config<br>gnus-util rmail rmail-loa=
ddefs text-property-search time-date mailabbrev<br>gmm-utils mailheader mm-=
decode mm-bodies mm-encode mail-utils gnutls<br>network-stream url-http mai=
l-parse rfc2231 rfc2047 rfc2045 mm-util<br>ietf-drums mail-prsvr url-gw nsm=
 rmc puny url-cache url-auth url<br>url-proxy url-privacy url-expand url-me=
thods url-history url-cookie<br>url-domsuf url-util mailcap finder-inf pack=
age easymenu browse-url<br>url-handlers url-parse auth-source cl-seq eieio =
eieio-core cl-macs<br>eieio-loaddefs password-cache json subr-x map url-var=
s seq byte-opt gv<br>bytecomp byte-compile cconv cl-loaddefs cl-lib tooltip=
 eldoc electric<br>uniquify ediff-hook vc-hooks lisp-float-type mwheel term=
/x-win x-win<br>term/common-win x-dnd tool-bar dnd fontset image regexp-opt=
 fringe<br>tabulated-list replace newcomment text-mode elisp-mode lisp-mode=
<br>prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer<br>s=
elect scroll-bar mouse jit-lock font-lock syntax facemenu font-core<br>term=
/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang<br>misc-la=
ng vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms<br>cp51932=
 hebrew greek romanian slovak czech european ethiopic indian<br>cyrillic ch=
inese composite charscript charprop case-table epa-hook<br>jka-cmpr-hook he=
lp simple abbrev obarray cl-preloaded nadvice loaddefs<br>button faces cus-=
face pcase macroexp files text-properties overlay sha1<br>md5 base64 format=
 env code-pages mule custom widget<br>hashtable-print-readable backquote th=
reads dbusbind inotify lcms2<br>dynamic-setting system-font-setting font-re=
nder-setting cairo<br>move-toolbar gtk x-toolkit x multi-tty make-network-p=
rocess emacs)<br><br>Memory information:<br>((conses 16 330086 73278)<br>=
=C2=A0(symbols 48 24681 57)<br>=C2=A0(strings 32 106609 5332)<br>=C2=A0(str=
ing-bytes 1 3050345)<br>=C2=A0(vectors 16 38569)<br>=C2=A0(vector-slots 8 8=
62927 65016)<br>=C2=A0(floats 8 440 527)<br>=C2=A0(intervals 56 1333 0)<br>=
=C2=A0(buffers 992 15))<br><br clear=3D"all"><br>-- <br><div dir=3D"ltr" cl=
ass=3D"gmail_signature" data-smartmail=3D"gmail_signature"><div dir=3D"ltr"=
><div><div dir=3D"ltr"><div><div dir=3D"ltr"><font color=3D"#666666">Best r=
egards,<br>Andrey Orst</font></div></div></div></div></div></div></div>

--00000000000096418105a922ae9a--




Acknowledgement sent to Andrey Orst <andreyorst@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42108; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 29 Jun 2020 19:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.